Package org.apache.tools.ant.taskdefs.optional

# Class SchemaValidate.SchemaLocation

java.lang.Object
org.apache.tools.ant.taskdefs.optional.SchemaValidate.SchemaLocation

Enclosing class:
  SchemaValidate

    public static class SchemaValidate.SchemaLocation
    extends java.lang.Object

representation of a schema location. This is a URI plus either a file or a url

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `ERROR_NO_FILE` | File not found
`static java.lang.String` | `ERROR_NO_LOCATION` | No location provided
`static java.lang.String` | `ERROR_NO_URI` | No namespace URI
`static java.lang.String` | `ERROR_NO_URL_REPRESENTATION` | Cannot make URL
`static java.lang.String` | `ERROR_TWO_LOCATIONS` | Both URL and File were given for schema

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SchemaLocation()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(java.lang.Object o)` | equality test checks namespace, location and filename.
`java.io.File` | `getFile()` | Get the file.
`java.lang.String` | `getNamespace()` | Get the namespace.
`java.lang.String` | `getSchemaLocationURL()` | get the URL of the schema
`java.lang.String` | `getURIandLocation()` | validate the fields then create a "uri location" string
`java.lang.String` | `getUrl()` | The URL containing the schema.
`int` | `hashCode()` | Generate a hashcode depending on the namespace, url and file name.
`void` | `setFile​(java.io.File file)` | identify a file that contains this namespace's schema.
`void` | `setNamespace​(java.lang.String namespace)` | set the namespace of this schema.
`void` | `setUrl​(java.lang.String url)` | identify a URL that hosts the schema.
`java.lang.String` | `toString()` | Returns a string representation of the object for error messages and the like
`void` | `validateNamespace()` | assert that a namespace is valid

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ERROR_NO_URI

public static final java.lang.String ERROR_NO_URI
No namespace URI

See Also:
  Constant Field Values

### ERROR_TWO_LOCATIONS

public static final java.lang.String ERROR_TWO_LOCATIONS
Both URL and File were given for schema

See Also:
  Constant Field Values

### ERROR_NO_FILE

public static final java.lang.String ERROR_NO_FILE
File not found

See Also:
  Constant Field Values

### ERROR_NO_URL_REPRESENTATION

public static final java.lang.String ERROR_NO_URL_REPRESENTATION
Cannot make URL

See Also:
  Constant Field Values

### ERROR_NO_LOCATION

public static final java.lang.String ERROR_NO_LOCATION
No location provided

See Also:
  Constant Field Values

## Constructor Details

### SchemaLocation

public SchemaLocation()

## Method Details

### getNamespace

public java.lang.String getNamespace()
Get the namespace.

Returns:
  the namespace.

### setNamespace

public void setNamespace​(java.lang.String namespace)
set the namespace of this schema. Any URI

Parameters:
  `namespace` - the namespace to use.

### getFile

public java.io.File getFile()
Get the file.

Returns:
  the file containing the schema.

### setFile

public void setFile​(java.io.File file)
identify a file that contains this namespace's schema. The file must exist.

Parameters:
  `file` - the file contains the schema.

### getUrl

public java.lang.String getUrl()
The URL containing the schema.

Returns:
  the URL string.

### setUrl

public void setUrl​(java.lang.String url)
identify a URL that hosts the schema.

Parameters:
  `url` - the URL string.

### getSchemaLocationURL

public java.lang.String getSchemaLocationURL()
get the URL of the schema

Returns:
  a URL to the schema
Throws:
  `BuildException` - if not

### getURIandLocation

public java.lang.String getURIandLocation() throws BuildException
validate the fields then create a "uri location" string

Returns:
  string of uri and location
Throws:
  `BuildException` - if there is an error.

### validateNamespace

public void validateNamespace()
assert that a namespace is valid

Throws:
  `BuildException` - if not

### equals

public boolean equals​(java.lang.Object o)
equality test checks namespace, location and filename. All must match,

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - object to compare against
Returns:
  true iff the objects are considered equal in value

### hashCode

public int hashCode()
Generate a hashcode depending on the namespace, url and file name.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode.

### toString

public java.lang.String toString()
Returns a string representation of the object for error messages and the like

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of the object.